{% load static %}
{% load cart_template_tag %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <meta name="description" content="" />
    <meta name="author" content="" />
    <title>{% block title %} {% endblock title%}</title>
    <!-- Bootstrap icons-->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css" rel="stylesheet" />
    <!-- Core theme CSS (includes Bootstrap)-->
    <link href="{% static 'styles.css' %}" rel="stylesheet" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">

</head>
<body>
    <!-- Navigation-->
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="container px-4 px-lg-5">
            <a class="navbar-brand" href="{%url 'frontend:home'%}">BUNATATI BANATENE</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0 ms-lg-4">
                    <li class="nav-item"><a class="nav-link active" aria-current="page" href="{%url 'frontend:home'%}">Acasa</a></li>
                    <li class="nav-item"><a class="nav-link" href="{%url 'frontend:about'%}">Despre</a></li>
<!--                    <li class="nav-item dropdown">-->
<!--                        <a class="nav-link dropdown-toggle" id="navbarDropdown" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">Magazin</a>-->
<!--                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown">-->
<!--                            <li><a class="dropdown-item" href="#!">Produse</a></li>-->
<!--                            <li><hr class="dropdown-divider" /></li>-->
<!--                            <li><a class="dropdown-item" href="#!">Produse Populare</a></li>-->
<!--                            <li><a class="dropdown-item" href="#!">Noutati</a></li>-->
<!--                        </ul>-->
<!--                    </li>-->
                </ul>

                {% if user.is_authenticated %}
                <ul class="navbar-nav mb-2 mb-lg-0 ms-lg-4">
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" id="navbarDropdown" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">{{ user.get_username }}</a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <li><a class="dropdown-item" href="{% url 'frontend:my-orders' %}">Comenzile mele</a></li>
                            <li><hr class="dropdown-divider" /></li>
                            <li><a class="dropdown-item" href="{% url 'accounts:logout' %}">Sign out</a></li>
                        </ul>
                    </li>
                </ul>

                <form class="d-flex ms-lg-4">
                    <a href="{% url 'frontend:summary' %}" class="btn btn-outline-dark" type="submit">
                        <i class="bi-cart-fill me-1"></i>
                        Cos
                        <span class="badge bg-dark text-white ms-1 rounded-pill">{{ user|cart_count }}</span>
                    </a>
                </form>

                {% else %}
                 <li>
                     <a class="nav-item" href="{% url 'accounts:login' %}">Sign in</a>
                 </li>
                {% endif %}


            </div>
        </div>
    </nav>
<div class="mt-5 pt-3">
    {% if messages %}
        {% for message in messages %}
            <div class="alert alert-{{ message.tags }} alert-dismissible fade show" role="alert">
                {{ message }}
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Inchide"></button>
            </div>
        {% endfor %}
    {% endif %}
</div>

    <!-- Header-->
    <header style="padding: 20px 0; background-color: transparent;">
        <div class="container px-4 px-lg-5 my-5">
            <div class="text-center">
                <!-- Logo -->
                <div class="logo-container mb-3">
                    <img src="{% static 'imagini/logo.jpg' %}" alt="Logo" style="max-width: 100%; height: auto; margin: 0 auto;">
                </div>
            </div>
        </div>
    </header>
    <!-- Section-->
    {% block content%}
    {% endblock %}
    <!-- Footer-->
   <footer class="py-5 bg-dark">
    <div class="container">
        <div class="row">
            <div class="col-md-4">
                <h5 class="text-white">Contact</h5>
                <ul class="list-unstyled text-white">
                    <li>Telefon: 0728765265 | 0772073388  </li>
                    <li>Email: dn_beg@yahoo.com | daniel.beg@yahoo.com</li>
                    <li>Adresă: Scaius nr.99, Comuna Farliug, Caras-Severin, România</li>
                </ul>
            </div>
            <div class="col-md-4 text-center">
                <p class="m-0 text-white">Copyright &copy; Bunatati Banatene</p>
            </div>
            <div class="col-md-4 text-center">
                <h5 class="text-white">Urmărește-ne</h5>
                <a href="https://www.facebook.com/begscaius" target="_blank" class="text-white">
                    <i class="fab fa-facebook fa-2x"></i> Facebook
                </a>
            </div>
        </div>
    </div>
</footer>

    <!-- Bootstrap core JS-->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>


{% block more_scripts %}
{% endblock more_scripts %}

</body>
</html>
